Create / Update ClientCustomField
1 min
POST
https://dev1.frontu.com//client/api/v2/customfields/clients
Body Parameters
- bodyobjectrequired
- titlestringrequired
- typeinteger<int32>requiredDescriptionFormatint32
- requiredboolean
- visibleboolean
- datastringDescription
Responses
201
400
curl
curl --request POST \
--url https://dev1.frontu.com//client/api/v2/customfields/clients \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"title": "",
"type": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"title": "",
"type": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/customfields/clients", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/customfields/clients")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"title": "",
"type": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/customfields/clients"
payload = json.dumps({
"title": "",
"type": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Returned when successful
400
// Data contains errors